Advanced search  

News:

cpg1.5.46 Security release - upgrade mandatory!
The Coppermine development team is releasing a security update for Coppermine in order to counter recently discovered vulnerabilities. It is important that all users who run version cpg1.5.44 or older update to this latest version as soon as possible.
[more]

Pages: [1]   Go Down

Author Topic: 1.5.46 Users can't create albums, Critical Error  (Read 1435 times)

0 Members and 1 Guest are viewing this topic.

wbeddoe

  • Coppermine newbie
  • Country: us
  • Offline Offline
  • Gender: Male
  • Posts: 18
1.5.46 Users can't create albums, Critical Error
« on: October 10, 2018, 07:03:46 pm »

When a User tries to create an album, it results in a critical error:

While executing query 'SELECT aid, title FROM cpg15x_albums WHERE category =  AND owner = 3312 ORDER BY pos ASC' in albmgr.php on line 154

mySQL error: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'AND owner = 3312 ORDER BY pos ASC' at line 1

Running V1.5.46
Thank you!
Logged
Coppermine Photo Gallery 1.5.22 (stable)
IT Exec; BS Psychology; #USMC

Phill Luckhurst

  • Administrator
  • Coppermine addict
  • *****
  • Country: gb
  • Offline Offline
  • Gender: Male
  • Posts: 4576
    • Windsurf.me
Re: 1.5.46 Users can't create albums, Critical Error
« Reply #1 on: October 10, 2018, 09:30:48 pm »

Has your host upgraded to PHP 7? I am guessing that is the case. If so an upgrade to CPG 6.x will do the trick
Logged
It is a mistake to think you can solve any major problems just with potatoes.

wbeddoe

  • Coppermine newbie
  • Country: us
  • Offline Offline
  • Gender: Male
  • Posts: 18
Re: 1.5.46 Users can't create albums, Critical Error
« Reply #2 on: October 10, 2018, 10:37:31 pm »

Thanks for the feedback. Will upgrade to v6 ASAP.
Logged
Coppermine Photo Gallery 1.5.22 (stable)
IT Exec; BS Psychology; #USMC

wbeddoe

  • Coppermine newbie
  • Country: us
  • Offline Offline
  • Gender: Male
  • Posts: 18
Re: 1.5.46 Users can't create albums, Critical Error
« Reply #3 on: October 10, 2018, 10:48:38 pm »

When is that release going to be available?
Logged
Coppermine Photo Gallery 1.5.22 (stable)
IT Exec; BS Psychology; #USMC

ron4mac

  • Dev Team member
  • Coppermine addict
  • ****
  • Country: us
  • Offline Offline
  • Posts: 1015
Re: 1.5.46 Users can't create albums, Critical Error
« Reply #4 on: October 11, 2018, 05:54:46 am »

CPG 1.6.x (currently 1.6.04) is available now.
http://forum.coppermine-gallery.net/index.php/topic,79013.0.html

But I don't believe that has anything to do with your problem. It looks to me like there is an issue with your database (categories table).
Perhaps you could provide a test user account or some way for us to investigate the issue in more depth so we may possibly come up with a solution.

[ Thank you for your service. ]
Logged

wbeddoe

  • Coppermine newbie
  • Country: us
  • Offline Offline
  • Gender: Male
  • Posts: 18
Re: 1.5.46 Users can't create albums, Critical Error
« Reply #5 on: October 11, 2018, 02:15:16 pm »

How can I send you account login details? Will try to DM.

And thank you..
Logged
Coppermine Photo Gallery 1.5.22 (stable)
IT Exec; BS Psychology; #USMC

ron4mac

  • Dev Team member
  • Coppermine addict
  • ****
  • Country: us
  • Offline Offline
  • Posts: 1015
Re: 1.5.46 Users can't create albums, Critical Error
« Reply #6 on: October 11, 2018, 03:40:30 pm »

There may indeed be some logic problem that was causing that critical error. But configuring the 'registered' user group to be able to have personal albums removed the error condition. At this point we would prefer to concentrate on any issues found with CPG 1.6.x rather than making changes to 1.5.x that would require a new release.

If you upgrade to CPG 1.6.x, uninstall your plugins first ... you are using a couple that are not compatible with CPG 1.6.x. Let us know which of those plugins you can't live without and we'll see if we can get them updated for CPG 1.6.x.

[edit]
And, unfortunately, your theme will have a compatibility issue with CPG 1.6.x, as well (a simple fix, though). Unless your host is getting ready to move to PHP 7.x, you could stay with CPG 1.5.46 until that may happen.
« Last Edit: October 11, 2018, 03:51:37 pm by ron4mac »
Logged

wbeddoe

  • Coppermine newbie
  • Country: us
  • Offline Offline
  • Gender: Male
  • Posts: 18
Re: 1.5.46 Users can't create albums, Critical Error
« Reply #7 on: October 11, 2018, 04:54:16 pm »

Awesome; thank you very much for the prompt response and solution.
Logged
Coppermine Photo Gallery 1.5.22 (stable)
IT Exec; BS Psychology; #USMC
Pages: [1]   Go Up
 

Page created in 0.017 seconds with 21 queries.